<section
  class="my-mapset-form-attribute"
  *ngIf="vm$ | async as vm"
>
  <form
    class="form"
    [formGroup]="vm.mapsetAttributeFormGroup"
  >
    <!-- Accordion -->
    <jds-bi-accordion
      id="accordion-mapset-create"
      #acc="jdsBiAccordion"
      [destroyOnHide]="false"
      [closeOthers]="true"
      [activeIds]="'accordion-mapset-create-attribute'"
      [colorScheme]="colorScheme"
      [ngClass]="['accordion-mapset-create']"
      (panelChange)="beforeChange($event)"
    >
      <!-- Panel Atribut -->
      <jds-bi-panel id="accordion-mapset-create-attribute">
        <ng-template jdsBiPanelTitle>
          <div
            [ngClass]="[jds.fs(18), jds.p(20)]"
            [style.width.%]="100"
          >
            <h6>Atribut Mapset</h6>
          </div>
        </ng-template>
        <ng-template jdsBiPanelContent>
          <div [ngClass]="[jds.p(20)]">
            <div
              [ngClass]="[jds.row, jds.mb(16)]"
              [style.--jds-gutter-x.px]="16"
            >
              <!-- Atribute KUGI -->
              <div [ngClass]="[jds.col(6)]">
                <label [ngClass]="jds.formLabel"> Atribute KUGI </label>

                <div
                  *ngFor="
                    let item of getFormAttribute(
                      vm.mapsetAttributeFormGroup.value
                    )
                  "
                  [ngClass]="jds.mb(16)"
                >
                  <ng-container
                    [ngTemplateOutlet]="kugiInput"
                    [ngTemplateOutletContext]="{
                      value: item.key
                    }"
                  />
                </div>
              </div>

              <!-- Atribute Alias -->
              <div [ngClass]="[jds.col(6)]">
                <label [ngClass]="jds.formLabel"> Atribute Alias </label>

                <div
                  *ngFor="let item of vm.mapsetAttribute"
                  [ngClass]="jds.mb(16)"
                >
                  <input
                    [colorScheme]="colorScheme"
                    [formControlName]="item"
                    jdsBiInput
                    type="text"
                    placeholder="Tulis alias"
                  />
                </div>
              </div>
            </div>
          </div>
        </ng-template>
      </jds-bi-panel>
    </jds-bi-accordion>
  </form>
</section>

<ng-template
  #kugiInput
  let-value="value"
>
  <input
    [colorScheme]="colorScheme"
    [disabled]="true"
    [value]="value"
    jdsBiInput
    type="text"
  />
</ng-template>
